.loader {
  position: relative;
  margin: 50px;
}

.line-container {
  position: absolute;
  left: 50%;
}

.line {
  background: black;
  width: 1px;
  height: 25px;
  transition: 0.3s linear all;
  animation: animate-loader 1s 1;
  transform-origin: 50% 100%;
}

@keyframes animate-loader {
  from {
    transform: rotate(0) translate(100%, 100%);
    opacity: 1;
  }

  to {
    transform: rotate(50deg) translate(100%, 100%);
    opacity: 0;
  }
}
